## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/v2.0/flows/{flowId}/intents/export

### Export Intents

#### cURL

```
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/export \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "localeId": "<string>"
}
'
```

#### Python

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/export"

payload = { "localeId": "<string>" }
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

#### JavaScript (Fetch API)

```
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({localeId: '<string>'})
};

fetch('https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/export', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/export",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'localeId' => '<string>'
  ]),
  CURLOPT_HTTPHEADER => [
    "Content-Type: application/json",
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

#### Go

```
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/flows/{flowId}/intents/export"

payload := strings.NewReader("{\n  \"localeId\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Codes

- **200**: Successful export of intents.
- **400**: Bad request.
- **401**: Unauthorized access.
- **402**: Payment required.
- **403**: Forbidden.
- **404**: Not found.
- **405**: Method not allowed.
- **409**: Conflict.
- **413**: Payload too large.
- **500**: Internal server error.
- **501**: Not implemented.
- **502**: Bad gateway.
- **503**: Service unavailable.
- **504**: Gateway timeout.

### Error Response Examples

#### Bad Request
```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

| Parameter | Type   | In     | Required | Description                                           |
|-----------|--------|--------|----------|-------------------------------------------------------|
| X-API-Key | string | header | required | Supply the API Key in the HTTP-Header                |

### Headers

| Name    | Type   | Description                                            |
|---------|--------|--------------------------------------------------------|
| Accept  | enum   | Specifies the media type that the client expects in response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. Default is `application/json`.

### Path Parameters

| Name    | Type   | Required | Description                               |
|---------|--------|----------|-------------------------------------------|
| flowId  | string | required | The unique identifier for the Flow. Required length: `24`. Pattern: `^[a-z0-9]{24}$`.

### Body

| Name       | Type   | Required | Description                                   |
|------------|--------|----------|-----------------------------------------------|
| localeId   | string | required | Required string length: `24`. Pattern: `^[a-z0-9]{24}$`.
| format     | enum   | optional | Available options: `csv`, `json`.

### Response Format

- Exports lexicon data in specified type: Stringified CSV or JSON.
